### Class

# Camel FolderThread

#### Description

    final class Camel.FolderThread : GObject.Object
    {
      /* No available fields */
    }

No description available.

#### Hierarchy

#### Ancestors

- GObject

#### Constructors

###### camel_folder_thread_new

Thread a (subset) of the messages in a folder.

since: 3.58

###### camel_folder_thread_new_items

Creates a folder tree of the provided `items`, which can be accessed only by the provided functions. The `get_date_sent_func` and the `get_date_received_func` can be `NULL` only when the `flags` does not contain `CAMEL_FOLDER_THREAD_FLAG_SORT`.

since: 3.58

#### Instance methods

###### camel_folder_thread_dump

No description available.

###### camel_folder_thread_get_tree

Gets the root node of the threaded tree of the items.

since: 3.58

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct CamelFolderThreadClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.